# Class BclIndexReader

java.lang.Object
picard.illumina.parser.readers.BclIndexReader

public class BclIndexReader extends Object
Annoyingly, there are two different files with extension .bci in NextSeq output. This reader handles the file that contains virtual file pointers into a .bcl.bgzf file. After the header, there is a 64-bit record per tile.

## Constructor Summary

Constructors
Constructor
Description
`BclIndexReader(File bclFile)`

## Method Summary

Modifier and Type
Method
Description
`long`
`get(int recordNumber)`
`File`
`getBciFile()`
`int`
`getNumTiles()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BclIndexReader

public BclIndexReader(File bclFile)

## Method Details

### getNumTiles

public int getNumTiles()

### get

public long get(int recordNumber)

### getBciFile

public File getBciFile()